Bug 25452 - Соберите новую стабильную версию 2.57, пжста
: Соберите новую стабильную версию 2.57, пжста
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/blender)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 26961
:
  Show dependency tree
 
Reported: 2011-04-16 15:45 by
Modified: 2012-04-09 10:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-04-16 15:45:00
Ветка 2.5х превратилась в стабильную с выпуском 2.57.

Пруфлинк: http://www.blender.org/development/release-logs/blender-257/

Потенциальные блокеры:

— нужен Python 3.2
— пока не возвращена возможность локализации (привет, ПСПО)

Второе не так принципиально важно, если учесть, что локализацию не трогали с
2003 или 2004 года.
------- Comment #1 From 2011-04-16 16:40:43 -------
Александр, соберите Python 3.2, а мы уж blender тогда обновим.
------- Comment #2 From 2011-04-16 16:55:35 -------
> Александр, соберите Python 3.2

С тем же успехом меня можно попросить починить тягач или станцевать ведущую
партию в «Лебедином озере» :)
------- Comment #3 From 2011-04-16 17:03:00 -------
Вот и у нас такая же ситуация.

На данный момент Вы просите невозможного.
------- Comment #4 From 2011-04-17 06:31:07 -------
Напомните через месяц после бранчевания p6.
------- Comment #5 From 2011-04-17 12:24:00 -------
(In reply to comment #4)
> Напомните через месяц после бранчевания p6.

Напоминать не обязательно. Евгений правильно заметил: когда (если) будет
python3, blender2.5 не заставит себя долго ждать и без напоминаний.

Я-то предпринимал наивные попытки собрать новую ветку blender'а еще с версии
2.50.alpha1. Была какая-то надежда, что это может получиться с python2.6.
Теперь такой надежды нет, нужен python3.
------- Comment #6 From 2011-10-26 12:57:05 -------
*** Bug 26505 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2012-01-31 13:53:19 -------
(В ответ на комментарий №5)
> (In reply to comment #4)
> > Напомните через месяц после бранчевания p6.
> 
> Напоминать не обязательно. Евгений правильно заметил: когда (если) будет
> python3, blender2.5 не заставит себя долго ждать и без напоминаний.

Python3 наконец в Сизифе.
Ждем новый blender.
------- Comment #8 From 2012-02-17 16:04:48 -------
ping
------- Comment #9 From 2012-02-17 17:42:03 -------
На выходных займусь сборкой пакета.
------- Comment #10 From 2012-02-17 17:53:58 -------
Коллегам для информации: допиливаю 2.61. Не сегодня-завтра выложу в git, здесь
отпишусь. Собирается по-дебиановски, с ffmpeg, который в Федоре просто
оторвали.

Пока предлагаю подумать, как тестировать будем: сразу в Сизифе (опасно), в
Сизифе с другим именем (неприятно), или test-only зарядить?
------- Comment #11 From 2012-02-17 17:55:41 -------
Сергей, спасибо!
Думаю, что лучше test-only.
------- Comment #12 From 2012-02-17 18:11:38 -------
Вместо ffmpeg сейчас принято собирать с libav, который его полностью замещает.
------- Comment #13 From 2012-02-17 19:34:17 -------
Уже вышел 2.62 :)
------- Comment #14 From 2012-02-17 20:37:50 -------
(В ответ на комментарий №12)
> Вместо ffmpeg сейчас принято собирать с libav, который его полностью замещает.

Конечно, я его и имею ввиду. Просто привык к старому названию.
------- Comment #15 From 2012-02-18 02:16:31 -------
(В ответ на комментарий №13)
> Уже вышел 2.62 :)

Вот ведь вчера же я там был, а его еще не было! Надеюсь, приключений с ним не
будет.

Вот пока 2.61 тепленький, только что из-под buildreq:

http://git.altlinux.org/people/kurakin/packages/?p=blender.git;a=summary

Причесывать там еще предостаточно, а тестировать уже можно. Завтра заряжу
test-only, а если 2.62 без приключений соберется, тогда сразу уж его.
------- Comment #16 From 2012-02-18 13:47:06 -------
2.62 требует libav-0.10, а у нас только 0.8. Сейчас пробовал 2.62 собрать.
------- Comment #17 From 2012-02-18 13:55:58 -------
(В ответ на комментарий №16)
> 2.62 требует libav-0.10, а у нас только 0.8. Сейчас пробовал 2.62 собрать.

Повесьте FR на libav, пожалуйста.
------- Comment #18 From 2012-02-18 14:40:48 -------
(В ответ на комментарий №17)
> (В ответ на комментарий №16)
> > 2.62 требует libav-0.10, а у нас только 0.8. Сейчас пробовал 2.62 собрать.
> 
> Повесьте FR на libav, пожалуйста.

На libav не получилось (багзилла не нашла такого пакета), повесил на ffmpeg.
------- Comment #19 From 2012-02-18 17:32:28 -------
(В ответ на комментарий №16)
> 2.62 требует libav-0.10, а у нас только 0.8. Сейчас пробовал 2.62 собрать.

А у меня... опять всё получилось. Запушил в git собирающийся 2.62.
Обратите внимание на blender-2.62-alt-libav.patch
------- Comment #20 From 2012-02-18 21:49:57 -------
Посмотрел.

Понятно, Вы просто запихнули "потерянную" функцию внутрь blender. Я хотел
собрать без вкладывания кусков более новой версии libav внутрь blender. Стрёмно
собирать вместе куски из разных версий. Но если будет работать с этим -
замечательно.
------- Comment #21 From 2012-02-18 21:51:40 -------
Тем более, что Вы запихнули всё тело в хедер. Может, стоит в хедере держать
только описание функции, а само тело вложить в один из файлов с исходниками?
------- Comment #22 From 2012-02-18 23:26:13 -------
(В ответ на комментарий №20)
> Понятно, Вы просто запихнули "потерянную" функцию внутрь blender.

  Только не я, а Debian. Я бы не догадался. И прикладывается он там уже два
месяца. А тестировать, конечно, надо -- доверяй, но проверяй.

> Я хотел
> собрать без вкладывания кусков более новой версии libav внутрь blender.

  Да кто бы спорил! Только боюсь, что с новым libav всё не так просто. Его нет
даже в Федоре, а уж они-то никогда не упускали случая побегать впереди
паровоза...
------- Comment #23 From 2012-03-05 19:33:34 -------
> А тестировать, конечно, надо -- доверяй, но проверяй.

Работу сборки с libav я проверял и на вход и на выход. У меня всё работает.

А вот анонсировать наличие тестового репозитория я упустил. Исправляюсь:
blender 2.62 доступен для тестирования в репозитории задачи #64862:
http://git.altlinux.org/tasks/64862/

В задаче полно unmet'ов, с которыми рано или поздно справимся. А
непосредственно сам blender можно и нужно тестировать уже сейчас. В sisyphus@
тоже сейчас дам анонс.
------- Comment #24 From 2012-03-31 20:37:08 -------
ping.
Коллеги, какие остались проблемы после обсуждения и фиксов vitty@ для сборок
python3?
------- Comment #25 From 2012-04-02 09:38:39 -------
Сегодня blender отправлен на сборку в расшаренном задании (для поиска
зависимостей). В devel@ я отписался. Я с некоторыми программами могу не
справиться. Плагины для blender попробую упаковать. Если через неделю ничего не
изменится, то делаю пакет blender2.62, чтобы не мешали зависимости. Далее будет
медленное переползание других на новую версию.
------- Comment #26 From 2012-04-09 10:29:03 -------
Версия 2.62 уже в Сизифе. Прошу проверить. Старая версия (2.49) перенесена в
blender2.49, этот пакет будет жить пока все клиенты не переберутся на новый
блендер.